ConnectionHandler Class Referenceabstract

`#include <connectionhandler.h>`

Inheritance diagram for ConnectionHandler:
[legend]

## Public Member Functions

virtual | ~ConnectionHandler ()
virtual void | handleIncomingConnection (ConnectionBase *server, ConnectionBase *connection)=0

## Detailed Description

This is an abstract base class to receive incoming connection attempts. Do not confuse this with ConnectionListener, which is used with XMPP streams and has a completely different meaning.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 33 of file connectionhandler.h.

## Constructor & Destructor Documentation

## ~ConnectionHandler()

virtual ~ConnectionHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 39 of file connectionhandler.h.

## Member Function Documentation

## handleIncomingConnection()

virtual void handleIncomingConnection | ( | ConnectionBase * | server,
|  | ConnectionBase * | connection )

pure virtual

This function is called to receive an incoming connection.

Parameters

  server | The server that the connection was made to.
  connection | The incoming connection.

Implemented in SOCKS5BytestreamServer.

The documentation for this class was generated from the following file:

- connectionhandler.h